---
search:
  tags:
    - Voiceovers
    - POST
seo:
  description: >-
    Retry a failed voiceover. Reference for the POST
    /v1/voiceovers/{product_id}/retry endpoint in the Jellypod API.
sidebar:
  label: Retry a failed voiceover
  badge: POST
title: Retry a failed voiceover
type: openapi-operation
---
`POST /v1/voiceovers/{product_id}/retry`

**Responses**

- `202` — Generation retry accepted
- `400` — Validation failed or malformed request.
- `401` — Missing or invalid API key.
- `403` — Authenticated, but this API key does not have access to this resource.
- `404` — Resource not found.
- `429` — Rate limit exceeded. Wait \`Retry-After\` seconds before retrying; \`RateLimit-Limit\`, \`RateLimit-Remaining\`, and \`RateLimit-Reset\` describe the window.
- `500` — Internal server error.

Response example, 202:

```json
{
  "data": {
    "background_music": true,
    "created_at": "string",
    "error": "string",
    "generation_id": "string",
    "host_id": "string",
    "host_ids": [
      "string"
    ],
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "language": "en",
    "object": "voiceover",
    "orientation": "LANDSCAPE",
    "phase": "string",
    "status": "idle",
    "studio_url": "http://example.com",
    "style_id": "string",
    "target_duration_seconds": 0,
    "title": "string",
    "updated_at": "string"
  }
}
```
